package com.adealink.weparty.module.profile.data

import android.os.Parcelable
import kotlinx.parcelize.Parcelize


@Parcelize
enum class UserConfigType(val type: Int, val clazz: Class<*>? = null) : Parcelable {
    EMPTY(-1),
    USER_ATTR_BASIC(1);
    companion object {

        val NECESSARY_USER_ATTR_SET = setOf(
            USER_ATTR_BASIC
        )

        private val maps = UserConfigType.entries.associateBy { it.type }
        fun map(value: Int): UserConfigType? {
            return maps[value]
        }
    }
}